<?php
defined('BASEPATH') or exit('Ação não permitida');

class Author_model extends CI_Model {

    public function count_chapters($table = NULL, $conditions = NULL){
        if($table && $this->db->table_exists($table)){
            if(is_array($conditions)){
                $this->db->where($conditions);
            }
            $query = $this->db->get($table);
            return $query->num_rows();
        } else {
            return false;
        }
    }

    public function send_chapter($table = NULL, $data = NULL){
        if ($table && $this->db->table_exists($table) && is_array($data)) {
            $this->db->insert($table, $data);
            if ($this->db->affected_rows() > 0) {
                $this->session->set_flashdata('success_message', 'Dados salvos com sucesso.');
                return true;
            } else {
                $this->session->set_flashdata('error_message', 'Não foi possível salvar os dados.');
                return false;
            }
        } else {
            return false;
        }
    }

    public function update_chapter($table = NULL, $data = NULL, $keywords = NULL, $conditions = NULL){
        if ($table && $this->db->table_exists($table) && is_array($data)) {
            if(is_array($conditions)){
                $this->db->where($conditions);
            }
            $this->db->set('keywords', "CONCAT(keywords,',','".$keywords."')", FALSE); 
            $this->db->update($table, $data);
            if($this->db->affected_rows() > 0){
                return true;
            } else {
                return false;
            }

        } else {
            return false;
        }
    }

}
